Bug 544144 - (CVE-2009-1298) CVE-2009-1298 kernel: ip_frag_reasm() NULL pointer dereference
CVE-2009-1298 kernel: ip_frag_reasm() NULL pointer dereference
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-03 20:21 EST by Eugene Teo (Security Response)
Modified: 2010-04-08 16:45 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-08 16:45:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2009-12-03 20:21:05 EST
Description of problem:
ipv4: additional update of dev_net(dev) to struct *net in ip_fragment.c, NULL ptr OOPS
    
ipv4 ip_frag_reasm(), fully replace 'dev_net(dev)' with 'net', defined previously patched into 2.6.29.
    
Between 2.6.28.10 and 2.6.29, net/ipv4/ip_fragment.c was patched, changing from dev_net(dev) to container_of(...).  Unfortunately the goto section (out_fail) on oversized packets inside ip_frag_reasm() didn't get touched up as well.  Oversized IP packets cause a NULL pointer dereference and immediate hang.
    
I discovered this running openvasd and my previous email on this is titled:  NULL pointer dereference at 2.6.32-rc8:net/ipv4/ip_fragment.c:566

Upstream commit:
http://git.kernel.org/linus/bbf31bf18d34caa87dd01f08bf713635593697f2

Reference:
http://lkml.org/lkml/2009/11/25/104
Comment 3 Eugene Teo (Security Response) 2009-12-04 12:06:25 EST
We have addressed this issue in kernel-2.6.30.9-102.fc11 and kernel-2.6.31.6-162.fc12.
Comment 4 Fedora Update System 2009-12-07 02:27:44 EST
kernel-2.6.30.9-102.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-12-07 02:31:42 EST
kernel-2.6.31.6-162.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Vincent Danen 2010-04-08 16:45:57 EDT
Fixed in Fedora via FEDORA-2009-12786 (Fedora 11) and FEDORA-2009-12825  (Fedora 12).

Note You need to log in before you can comment on or make changes to this bug.